io.agora.rtc

## Interface IRtmpStreamingObserver

-     public interface IRtmpStreamingObserver

  Observer interface for RTMP streaming events.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `onRtmpStreamingStateChanged(AgoraRtmpStreamingService agora_rtmp_streaming_service, java.lang.String url, int state, int err_code)` Called when RTMP streaming state changes.
    `default void` | `onStreamPublished(AgoraRtmpStreamingService agora_rtmp_streaming_service, java.lang.String url, int error)` Called when a stream is published.
    `default void` | `onStreamUnpublished(AgoraRtmpStreamingService agora_rtmp_streaming_service, java.lang.String url)` Called when a stream is unpublished.
    `default void` | `onTranscodingUpdated(AgoraRtmpStreamingService agora_rtmp_streaming_service)` Called when transcoding is updated.

- - ### Method Detail

    - #### onRtmpStreamingStateChanged

          default void onRtmpStreamingStateChanged(AgoraRtmpStreamingService agora_rtmp_streaming_service,
                                                   java.lang.String url,
                                                   int state,
                                                   int err_code)

      Called when RTMP streaming state changes.
      Parameters:
        `agora_rtmp_streaming_service` - The RTMP streaming service instance
        `url` - Stream URL
        `state` - Streaming state
        `err_code` - Error code

    - #### onStreamPublished

          default void onStreamPublished(AgoraRtmpStreamingService agora_rtmp_streaming_service,
                                         java.lang.String url,
                                         int error)

      Called when a stream is published.
      Parameters:
        `agora_rtmp_streaming_service` - The RTMP streaming service instance
        `url` - Stream URL
        `error` - Error code

    - #### onStreamUnpublished

          default void onStreamUnpublished(AgoraRtmpStreamingService agora_rtmp_streaming_service,
                                           java.lang.String url)

      Called when a stream is unpublished.
      Parameters:
        `agora_rtmp_streaming_service` - The RTMP streaming service instance
        `url` - Stream URL

    - #### onTranscodingUpdated

          default void onTranscodingUpdated(AgoraRtmpStreamingService agora_rtmp_streaming_service)

      Called when transcoding is updated.
      Parameters:
        `agora_rtmp_streaming_service` - The RTMP streaming service instance